#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	XML
%define		pnam	Smart
%include	/usr/lib/rpm/macros.perl
Summary:	XML::Smart - a smart, easy and powerful way to access/create XML files/data
Summary(pl.UTF-8):	XML::Smart - zgrabny, łatwy i potężny sposób dostępu i tworzenia plików/danych XML
Name:		perl-XML-Smart
Version:	1.6.9
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	648309c0d613ddaca6f6b16e9f13c81d
URL:		http://search.cpan.org/dist/XML-Smart/
BuildRequires:	perl-Object-MultiType >= 0.03
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module has an easy way to access/create XML data. It's based on
the HASH tree that is made of the XML data, and enable a dynamic
access to it with the Perl syntax for Hash and Array, without needing
to care if you have a Hash or an Array in the tree. In other words,
each point in the tree work as a Hash and an Array at the same time!

You also have extra resources, like a search for nodes by attribute,
selection of an attribute value in each multiple node, change the
returned format, etc...

%description -l pl.UTF-8
Ten moduł ma łatwy sposób na dostęp i tworzenie danych XML. Jest
oparty na drzewie haszy tworzonym z danych XML i umożliwia dynamiczny
dostęp do nich z użyciem perlowej składni dla haszy i tablic, bez
potrzeby pilnowania, czy w danym drzewie znajdują się hasze czy
tablice. Innymi słowy, każdy węzeł w drzewie funkcjonuje jako hasz i
tablica jednocześnie!

Moduł udostępnia także dodatki takie jak poszukiwanie węzłów według
atrybutów, wybór wartości atrybutu w każdym węźle wielokrotnym, zmiana
formatu zwracanych danych itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:echo n | %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/XML/Smart/*.{pod,epod}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Smart.pm
%{perl_vendorlib}/XML/Smart
%{_mandir}/man3/*
%changelog
* Sun Mar 11 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-Smart.git;a=log;h=master

* Sun Nov 30 2014 Elan Ruusamäe <glen@delfi.ee> 3386b61
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 103d1f6
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e7478a7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f76850c
- converted to UTF-8

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 1fae116
- updated to 1.6.9

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b1c1cd2
- formatting

* Tue Nov 02 2004 Adam Gołębiowski <adamg@pld-linux.org> f306e96
- get rid of pod documentation
- release 2

* Tue Sep 21 2004 radek <radek@pld-linux.org> 5152e70
- version 1.6.8

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> ecf0708
- updated to 1.6.7

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> d2f030e
- updated to 1.6.4

* Fri May 28 2004 Adam Gołębiowski <adamg@pld-linux.org> 5b3c8a6
- updated to 1.6.2

* Thu May 27 2004 Adam Gołębiowski <adamg@pld-linux.org> 93702b7
- updated to 1.6.1

* Thu May 13 2004 Adam Gołębiowski <adamg@pld-linux.org> a62c91f
- updated to 1.6

* Fri May 07 2004 ankry <ankry@pld-linux.org> 906ad92
- rel. 2

* Wed May 05 2004 ankry <ankry@pld-linux.org> 1c0abf5
- license unification, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 324f256
- cosmetics, unification, license fixes

* Tue Apr 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 8f61339
- updated to 1.5.9

* Sun Apr 11 2004 Adam Gołębiowski <adamg@pld-linux.org> 4c71fb6
- updated to 1.5.8

* Sun Mar 28 2004 Jakub Bogusz <qboosh@pld-linux.org> ca082f9
- pl (wrrr)

* Sun Mar 28 2004 migo <migo@pld-linux.org> 28de9f3
- initial revision

